#include "ClientSocket.h"
#include "TestPacket.h"
#include <iostream>

using namespace std;

int main(int argc, char *argv[]) {
  
  // Create connection
  ClientSocket *cs = new ClientSocket();
  if(!cs->Connect("localhost", 4000)) {
    return -1;
  }
  
  // Create packet
  TestPacket *tp = new TestPacket();
  
  // Send packet
  cs->SendPacket(tp);
  
  cout << "Sent packet!" << endl;
  
  // Clean up
  delete tp;
  delete cs;
  
  return 0;
}
